<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Cadastro de Status</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.231.17.1">
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.231.17.1">
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.231.17.1" />
  <link href='../dist/css/bootstrap.min.css?versao=3.231.17.1'>
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.231.17.1">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.231.17.1">
  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.231.17.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.231.17.1">
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.231.17.1">
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.231.17.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.231.17.1" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.231.17.1">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <style>
    .bordaRadio,
    .bordaCheckbox {
      border: 2px solid #e0e4e6;
      border-radius: 4px;
      padding: 10px 15px 0 10px;
    }

    #progressbar li {
      list-style-type: none;
      font-size: 12px;
      width: 100%;
      float: left;
      position: relative;

    }

    .border-Field .textoBorda {
      font-size: 1.1em !important;
      text-align: left !important;
      width: auto;
      padding: 0 10px;
      border-bottom: none;
    }

    .border-Field {
      border: 1px solid var(--font-color) !important;
      padding: 0 1.0em 0 1.0em !important;
      margin: 0 0 0 0 !important;
      -webkit-box-shadow: 0px 0px 0px 0px #000;
      box-shadow: 0px 0px 0px 0px #000;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">
    <?php
    include_once('../../../menu.php');
    ?>

    <div id="myModal" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 id="myModalLabel" class="modal-title"></h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <p id="myModalText"></p>
          </div>
          <div class="modal-footer">
            <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
            <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
          </div>
        </div>
      </div>
    </div>
    <div class="wrapper">
      <div id="myModal" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 id="myModalLabel" class="modal-title"></h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <p id="myModalText"></p>
            </div>
            <div class="modal-footer">
              <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
              <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
            </div>
          </div>
        </div>
      </div>
      <div class="content-wrapper">
        <div class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6 flex">
                <h1 class="m-0 text-dark"></h1>
              </div>
              <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                  <li class="breadcrumb-item"><a href="../index">Início</a></li>
                  <li class="breadcrumb-item active"><a href="../cadstatus">Acesso Cadastro de Status</a></li>
                  <li class="breadcrumb-item active">Cadastro de Status</li>
                </ol>
              </div>
            </div>
          </div>

          <div class="row justify-content-center mt-0">

            <div class="col-10 text-center p-0 mt-3 mb-2">

              <div class="card px-0 pt-4 pb-0 mt-3 mb-3">

                <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                  <h2>Cadastro de Status
                    <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                      <i class="fas fa-question-circle"></i>
                    </button>
                  </h2>

                </div>
                <ul id="progressbar">
                  <li class="active" id="account"><strong>Geral</strong></li>
                </ul>
                <div class="row justify-content-center">

                  <div class="col-md-11 mb-4 mx-0">

                    <form id="msform">

                      <p>Preencha os dados e clique em gravar para realizar o cadastro ou alteração do Status.</p>

                      <div class="row mb-5 mt-5">
                        <div class="col-xl-5 col-sm-12 col-md-12">
                          <div>

                            <div class="row">
                              <div class="col-3 form-group mb-1 text-left">
                                <label data-error="wrong" data-success="right" for="txtNumero">Código: </label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control" readonly disabled id="txtNumero" name="txtNumero" placeholder="Código preenchido automaticamente">
                                </div>
                              </div>

                              <div class="col-9 form-group mb-1 text-left">
                                <label data-error="wrong" data-success="right" for="txtDescricao">Descrição: *</label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control text-uppercase" id="txtDescricao" name="txtDescricao" class="form-control" placeholder="Descrição" require>
                                </div>
                              </div>
                            </div>

                            <div class="row">
                              <div class="col-12 form-group text-left">
                                <label data-error="wrong" data-success="right" for="txtCor">Cor:</label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control" id="txtCor" name="txtCor" class="form-control" placeholder="Cor">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btnCor" name="btnCor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btnLimpaCor" name="btnLimpaCor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                          <div class="form-group radio-group text-left" id="radiogroup">
                            <label data-error="wrong" data-success="right" for="txtTipo">Tipo: *</label>
                            <select style="width:100%;" class="form-control select2 select2-danger focus" data-dropdown-css-class="select2-danger" id="slTipo" class="custom-select focus">
                              <option selected hidden disabled>- Selecione -</option>
                              <option value="1" id="slProduto">1 - Produto</option>
                              <option value="2" id="slPedido">2 - Pedido</option>
                              <option value="3" id="slMaquina">3 - Máquina</option>
                              <option value="4" id="slServico">4 - Serviço</option>
                              <option value="5" id="slMaterial">5 - Material</option>
                              <option value="6" id="slInspecao">6 - Inspeção</option>
                              <option value="7" id="slMalharia">7 - Malharia</option>
                              <option value="8" id="slCRM">8 - CRM</option>
                              <option value="9" id="slEstampa">9 - Estampa</option>
                              <option value="10" id="slOrdCompra">10 - Ord. Compra</option>
                              <option value="11" id="slSisFrete">11 - Sis. Frete</option>
                              <option value="12" id="slEntidade">12 - Entidade</option>
                              <option value="13" id="slPreco">13 - Preço</option>
                            </select>
                          </div>
                        </div>

                        <div class="col-xl-4 col-sm-12 col-md-12 mb-sm-4 text-left">
                          <fieldset class="form border-Field mb-0 pb-0">
                            <legend class="textoBorda mb-0 pb-0">Bloquear</legend>
                            <div id="bloquear">
                              <div class="form-row ml-1 bloquear">
                                <div class="icheck-primary col-12">
                                  <input type="checkbox" class="configCheck" id="cbBloqProduto">
                                  <label class="col-12 mt-2" for="cbBloqProduto">Bloq. Produto</label>
                                </div>
                                <div class="icheck-primary col-12">
                                  <input type="checkbox" class="configCheck" id="cbBloqBaixa">
                                  <label class="col-12" for="cbBloqBaixa">Bloq. Baixa</label>
                                </div>
                                <div class="icheck-primary col-12">
                                  <input type="checkbox" class="configCheck" id="cbBloqAltConsumo">
                                  <label class="col-12" for="cbBloqAltConsumo">Bloq. Alteração de Consumo</label>
                                </div>
                                <div class="icheck-primary col-12">
                                  <input type="checkbox" class="configCheck" id="cbBloqAltItensPed">
                                  <label class="col-12" for="cbBloqAltItensPed">Bloq. Alteração Itens Pedido</label>
                                </div>
                                <div class="icheck-primary col-12">
                                  <input type="checkbox" class="configCheck" id="cbBloqFaturamento">
                                  <label class="col-12" for="cbBloqFaturamento">Bloq. Faturamento</label>
                                </div>
                                <div class="icheck-primary col-12">
                                  <input type="checkbox" class="configCheck" id="cbBloqInclusaoConsumo">
                                  <label class="col-12" for="cbBloqInclusaoConsumo">Bloq. Inclusão de Consumo</label>
                                </div>
                                <div class="icheck-primary col-12">
                                  <input type="checkbox" class="configCheck" id="cbBloqOrdemProducao">
                                  <label class="col-12" for="cbBloqOrdemProducao">Bloq. Ordem Produção</label>
                                </div>
                                <div class="icheck-primary col-12">
                                  <input type="checkbox" class="configCheck" id="cbBloqExpedicao">
                                  <label class="col-12" for="cbBloqExpedicao">Bloq. Expedição</label>
                                </div>
                                <div class="icheck-primary col-12">
                                  <input type="checkbox" class="configCheck" id="cbBloqSourcing">
                                  <label class="col-12" for="cbBloqSourcing">Bloq. Sourcing</label>
                                </div>
                                <div class="icheck-primary col-12">
                                  <input type="checkbox" class="configCheck" id="cbBloqQtdeMaxRegiao">
                                  <label class="col-12" for="cbBloqQtdeMaxRegiao">Bloq. Qtde Max de Região</label>
                                </div>
                                <div class="icheck-primary col-12">
                                  <input type="checkbox" class="configCheck" id="cbBloqComercial">
                                  <label class="col-12 mb-2" for="cbBloqComercial">Bloq. Comercial - FV</label>
                                </div>
                              </div>

                            </div>
                          </fieldset>
                        </div>


                        <div class="col-xl-3 col-sm-12 col-md-12 text-left">
                          <fieldset class="form border-Field mb-0 pb-0">
                            <legend class="textoBorda mb-0 pb-0">Opções</legend>
                            <div id="opcoes">
                              <div class="form-row ml-1 opcoes">
                                <div class="icheck-primary col-12">
                                  <input type="checkbox" class="configCheck" id="cbOpcoesAtivo">
                                  <label class="col-12 mt-2" for="cbOpcoesAtivo">Ativo</label>
                                </div>
                                <div class="icheck-primary col-12">
                                  <input type="checkbox" class="configCheck" id="cbOpcoesPadrao">
                                  <label class="col-12" for="cbOpcoesPadrao">Padrão</label>
                                </div>
                                <div class="icheck-primary col-12">
                                  <input type="checkbox" class="configCheck" id="cbOpcoesForcaVendas">
                                  <label class="col-12" for="cbOpcoesForcaVendas">Força de Vendas</label>
                                </div>
                                <div class="icheck-primary col-12">
                                  <input type="checkbox" class="configCheck" id="cbOpcoesLimparNatureza">
                                  <label class="col-12" for="cbOpcoesLimparNatureza">Limpar Natureza</label>
                                </div>
                                <div class="icheck-primary col-12">
                                  <input type="checkbox" class="configCheck" id="cbOpcoesOrcamento">
                                  <label class="col-12" for="cbOpcoesOrcamento">Orçamento</label>
                                </div>
                                <div class="icheck-primary col-12">
                                  <input type="checkbox" class="configCheck" id="cbOpcoesSAC">
                                  <label class="col-12" for="cbOpcoesSAC">SAC</label>
                                </div>
                                <div class="icheck-primary col-12">
                                  <input type="checkbox" class="configCheck" id="cbOpcoesRemessaFabrica">
                                  <label class="col-12" for="cbOpcoesRemessaFabrica">Remessa P/ Fabrica</label>
                                </div>
                                <div class="icheck-primary col-12">
                                  <input type="checkbox" class="configCheck" id="cbOpcoesDistribuirLotes">
                                  <label class="col-12" for="cbOpcoesDistribuirLotes">Distribuir por Lotes</label>
                                </div>
                                <div class="icheck-primary col-12">
                                  <input type="checkbox" class="configCheck" id="cbOpcoesDistribuirIgualLotes">
                                  <label class="col-12" for="cbOpcoesDistribuirIgualLotes">Distribuir Igual para Lotes</label>
                                </div>
                                <div class="icheck-primary col-12">
                                  <input type="checkbox" class="configCheck" id="cbOpcoesOrcamentoMaterial">
                                  <label class="col-12" for="cbOpcoesOrcamentoMaterial">Orçamento Material</label>
                                </div>
                                <div class="icheck-primary col-12">
                                  <input type="checkbox" class="configCheck" id="cbOpcoesDesenEstampa">
                                  <label class="col-12 mb-2" for="cbOpcoesDesenEstampa">Desen. Estampa</label>
                                </div>
                              </div>

                            </div>
                          </fieldset>
                        </div>

                      </div>
                      <input type="button" name="next" class="btn-sisp next action-button" value="Gravar" id="btnGravar" />
                      <button type="button" id="btnVoltar" style="font-size:15px;" class="btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <?php
    include_once('../../../footer.php');
    ?>
    <aside class="control-sidebar control-sidebar-dark">
    </aside>
  </div>
  <script src="../plugins/jquery/jquery.min.js?versao=3.231.17.1"></script>
  <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.231.17.1"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.231.17.1"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.231.17.1"></script>
  <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.231.17.1"></script>
  <script src="../plugins/toastr/toastr.min.js?versao=3.231.17.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.231.17.1"></script>
  <script src="../dist/js/adminlte.min.js?versao=3.231.17.1"></script>
  <script src="../dist/js/requisicoes.js?versao=3.231.17.1"></script>
  <script src="../dist/js/cliente/entidade.js?versao=3.231.17.1"></script>
  <script src="../dist/js/loadingoverlay.min.js?versao=3.231.17.1"></script>
  <script src="../dist/js/valida_cpf_cnpj.js"></script>
  <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.231.17.1"></script>
  <script src="../dist/js/sisplan.js?versao=3.231.17.1"></script>
  <script src="../utils/funcoes.js?versao=3.231.17.1"></script>
  <script src="../utils/cookies.js?versao=3.231.17.1"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.231.17.1"></script>
  <script src="../dist/js/driver.min.js?versao=3.231.17.1"></script>
  <script src="../dist/js/dataTables.keyTable2.js?versao=3.231.17.1"></script>
  <script type="text/javascript" src="../config.js?versao=3.231.17.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('CADSTATUS');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/cadstatus/cadastro_cadstatus/cadstatus.js?versao=3.231.17.1`;
      insereJavaScriptPagina(sArquivo);

      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
      habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>
</body>

</html>