<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Cadastro de Prazo</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.2311.22.1">
    <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.2311.22.1">
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.2311.22.1" />
    <link href='../dist/css/bootstrap.min.css?versao=3.2311.22.1'>
    <link rel="stylesheet" href="../dist/css/custom.css?versao=3.2311.22.1">
    <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.2311.22.1">
    <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.2311.22.1">
    <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.2311.22.1">
    <link rel="shortcut icon" href="../favicon.ico">
    <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.2311.22.1">
    <!-- Toastr -->
    <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.2311.22.1">
    <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.2311.22.1" />
    <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.2311.22.1">
    <!-- Google Font: Source Sans Pro -->
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    <style>
        #progressbar li {
            list-style-type: none;
            font-size: 12px;
            width: 100%;
            float: left;
            position: relative
        }

        .labelGeral {
            margin-top: 7px;
            margin-bottom: 3px;
        }

        .border-Field .textoBorda {
            font-size: 1.1em !important;
            text-align: left !important;
            width: auto;
            padding: 0 10px;
            border-bottom: none;
        }

        .border-Field {
            border: 1px solid var(--font-color) !important;
            padding: 0 1.0em 0 1.0em !important;
            margin: 0 0 0 0 !important;
            -webkit-box-shadow: 0px 0px 0px 0px #000;
            box-shadow: 0px 0px 0px 0px #000;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <?php
        include_once('../../../menu.php');
        ?>

        <div id="myModal" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 id="myModalLabel" class="modal-title"></h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <p id="myModalText"></p>
                    </div>
                    <div class="modal-footer">
                        <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
                        <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
                    </div>
                </div>
            </div>
        </div>

        <div class="content-wrapper">
            <section class="content">
                <div class="content-header">
                    <div class="container-fluid">
                        <div class="row mb-2">
                            <div class="col-sm-6 flex">
                            </div>
                            <div class="col-sm-6">
                                <ol class="breadcrumb float-sm-right">
                                    <li class="breadcrumb-item"><a href="../index">Início</a></li>
                                    <li class="breadcrumb-item"><a href="../cadprazo">Acesso Prazo</a></li>
                                    <li class="breadcrumb-item active">Cadastro de Prazo</li>
                                </ol>
                            </div><!-- /.col -->
                        </div><!-- /.row -->
                    </div>
                    <div class="row justify-content-center mt-0">
                        <div class="col-10 text-center p-0 mt-3 mb-2">
                            <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                                <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                                    <h2> Cadastro de Prazo
                                        <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                                            <i class="fas fa-question-circle"></i>
                                        </button>
                                    </h2>
                                </div>

                                <div class="row">
                                    <div class="col-md-12 mx-0 mb-3">
                                        <form id="msform">
                                            <ul id="progressbar">
                                                <li class="active" id="account"><strong>Geral</strong></li>
                                            </ul>
                                            <p>Preencha os dados e clique em gravar para realizar o cadastro ou alteração do Prazo.</p>
                                            <fieldset class="row justify-content-center mt-5">

                                                <div class="row col-10 text-left" id="formcard1">

                                                    <div class="">
                                                        <fieldset class="form border-Field mb-0 pb-0">
                                                            <legend class="textoBorda mb-0 pb-0">Opções</legend>
                                                            <div class="form-row">
                                                                <div class="d-block d-md-inline icheck-primary mr-2">
                                                                    <input type="checkbox" checked id="checkAtivo"> 
                                                                    <label for="checkAtivo">Ativo</label> 
                                                                </div>
                                                                <div class="d-block d-md-inline icheck-primary mr-2">
                                                                    <input type="checkbox" checked id="checkAtivoProd"> 
                                                                    <label for="checkAtivoProd">Ativo Produção</label> 
                                                                </div>
                                                                <div class="d-block d-md-inline icheck-primary mr-2">
                                                                    <input type="checkbox" id="checkBloq"> 
                                                                    <label  for="checkBloq">Bloqueia Venda</label> 
                                                                </div>
                                                            </div>
                                                        </fieldset>
                                                    </div>

                                                    <div class="row mt-3">
                                                        <div class="col-lg-6  col-12 form-group">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtPrazo">Prazo *</label>
                                                            <input type="text" class="input-default focus form-control" id="txtPrazo" maxlength="4" required aria-describedby="prazoError" name="txtPrazo" class="form-control" placeholder="Prazo">
                                                        </div>
                                                        <div class="col-lg-6  col-12 form-group">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtMinutos">Minutos</label>
                                                            <input type="number" class="input-default focus form-control" id="txtMinutos" aria-describedby="minError" name="txtMinutos" placeholder="Minutos">
                                                        </div>
                                                        <div class="col-lg-12  col-12 form-group">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtDesc">Descrição *</label>
                                                            <input type="text" class="input-default focus form-control" id="txtDesc" required name="txtDesc" placeholder="Descrição">
                                                        </div>
                                                        <div class="col-lg-6 col-12 form-group">
                                                            <label for="txtDataIni" class="labelGeral">Início </label>
                                                            <div class="relative">
                                                                <input type="date" max="2500-12-31" value="" class="input-default focus form-control validate" id="txtDataIni">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-6 col-12 form-group">
                                                            <label for="txtDataFim" class="labelGeral">Fim </label>
                                                            <div class="relative">
                                                                <input type="date" max="2500-12-31" value="" class="input-default focus form-control validate" id="txtDataFim">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-6 col-12 form-group">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtQtde">Quantidade Máx.</label>
                                                            <input type="number" class="input-default focus form-control" id="txtQtde" name="txtQtde" placeholder="Quantidade Máx.">
                                                        </div>
                                                        <div class="col-lg-6  col-12 form-group">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtEndereco">Faturamento Máx.</label>
                                                            <input type="number" class="input-default focus form-control" id="txtFaturamento" name="txtFaturamento" placeholder="Faturamento Máx.">
                                                        </div>
                                                    </div>
                                                </div>

                                            </fieldset>
                                            <input type="button" name="btnGravar" id="gravar" class="btn-sisp action-button" value="Gravar" />
                                            <button type="button" id="btnVoltar" style="font-size:15px;" class="btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </section>
        </div>
    </div>

    <?php
    include_once('../../../footer.php');
    ?>

    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
        <!-- Control sidebar content goes here -->
    </aside>
    <!-- /.control-sidebar -->
    </div>

    <!-- jQuery -->
    <script src="../plugins/jquery/jquery.min.js?versao=3.2311.22.1"></script>
    <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.2311.22.1"></script>
    <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.2311.22.1"></script>
    <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.2311.22.1"></script>
    <!-- SweetAlert2 -->
    <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.2311.22.1"></script>
    <script src="../plugins/toastr/toastr.min.js?versao=3.2311.22.1"></script>

    <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>

    <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.2311.22.1"></script>
    <script src="../dist/js/adminlte.min.js?versao=3.2311.22.1"></script>
    <script src="../dist/js/requisicoes.js?versao=3.2311.22.1"></script>
    <script src="../dist/js/cliente/entidade.js?versao=3.2311.22.1"></script>
    <script src="../dist/js/loadingoverlay.min.js?versao=3.2311.22.1"></script>
    <script src="../dist/js/valida_cpf_cnpj.js?versao=3.2311.22.1"></script>
    <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.2311.22.1"></script>
    <script src="../dist/js/sisplan.js?versao=3.2311.22.1"></script>
    <script src="../utils/funcoes.js?versao=3.2311.22.1"></script>
    <script src="../utils/cookies.js?versao=3.2311.22.1"></script>
    <script src="../dist/js/driver.min.js?versao=3.2311.22.1"></script>
    <script src="../dist/js/jquery.maskMoney.min.js?versao=3.2311.22.1"></script>
    <script src="../dist/js/jquery.mask.min.js?versao=3.2311.22.1"></script>
    <script src="../dist/js/dataTables.keyTable2.js?versao=3.2311.22.1"></script>
    <script type="text/javascript" src="../config.js?versao=3.2311.22.1"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('CADPRAZO');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            const permissaoUsuarioLogado = await permissaoAcessos("CADPRAZO");

            if (permissaoUsuarioLogado.INCLUI == 'N') {
                await criaMensagemErro("Sem permissão para incluir!", () => {
                    window.location.href = `${BASE_URI}/cadprazo`
                });
                return;
            }

            const queryString = window.location.href;
            const parametros = queryString.split("/");
            const prazo = parametros[parametros.length - 1];

            $(window).on("beforeunload", function(e) {
                // e.preventDefault();
                e.stopPropagation();
                deletaRegistro("CADPRAZO", getCookie("usuario"), prazo);
                return undefined;
            });

            sArquivo = `${BASE_URI}/pages/cadprazo/cadastro_cadprazo/cadprazo.js?versao=3.2311.22.1`;
            insereJavaScriptPagina(sArquivo);

            const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
            habilitaCamposObrigatoriosTela(nomeTela);
        });
    </script>
</body>

</html>